/*referenca: https://codepen.io/nelledejones/pen/gOOPWrK */

.elementor-element.gelatine a,
a.gelatine,
.d_gelatine {
  animation: gelatine 1s infinite;
}
@keyframes gelatine {
  from,
  to {
    transform: scale(1, 1);
  }
  25% {
    transform: scale(0.9, 1.1);
  }
  50% {
    transform: scale(1.1, 0.9);
  }
  75% {
    transform: scale(0.95, 1.05);
  }
}

@keyframes gelatine_low {
  from,
  to {
    transform: scale(1, 1);
  }
  25% {
    transform: scale(0.92, 0.93);
  }
  50% {
    transform: scale(0.93, 0.92);
  }
  75% {
    transform: scale(0.91, 0.92);
  }
}

.elementor-element.spin a,
a.spin,
.d_elastic {
  animation: spin 2s infinite linear;
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.elementor-element.elastic-spin a,
a.elastic-spin,
.d_elastic-spin {
  animation: elastic-spin 2s infinite ease;
}
@keyframes elastic-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(720deg);
  }
}

.elementor-element.pulse a,
a.pulse,
.d_pulse {
  animation: pulse 1.8s infinite ease-in-out alternate;
}
@keyframes pulse {
  from {
    transform: scale(0.8);
  }
  to {
    transform: scale(1.6);
  }
}

@keyframes pulse-min {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(1.07);
  }
}

.elementor-element.pulse-min a,
a.pulse-min,
.d_pulse-min {
  animation: pulse-min 1.8s infinite ease-in-out alternate;
}


.elementor-element.pulse-min-once a,
a.pulse-min-once,
.d_pulse-min-once {
  animation: pulse-min 2s ease;
}

.elementor-element.flash a,
a.flash,
.d_flash {
  animation: flash 4s ease infinite alternate;
}
@keyframes flash {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.elementor-element.hithere a,
a.hithere,
.d_hithere {
  animation: hithere 1.5s ease infinite;
}
@keyframes hithere {
  30% {
    transform: scale(1.2);
  }
  40%,
  60% {
    transform: rotate(-20deg) scale(1.2);
  }
  50% {
    transform: rotate(20deg) scale(1.2);
  }
  70% {
    transform: rotate(0deg) scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

.elementor-element.grow a,
a.grow,
.d_grow {
  animation: grow 2s ease infinite;
}
@keyframes grow {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

.elementor-element.fade-in a,
a.fade-in,
.d_fade-in {
  animation: fade-in 2s linear infinite;
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.elementor-element.fade-out a,
a.fade-out,
.d_fade-out {
  animation: fade-out 2s linear infinite;
}
@keyframes fade-out {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.elementor-element.bounce a,
a.bounce,
.d_bounce {
  animation: bounce 2s ease infinite;
}
@keyframes bounce {
  70% {
    transform: translateY(0%);
  }
  80% {
    transform: translateY(-15%);
  }
  90% {
    transform: translateY(0%);
  }
  95% {
    transform: translateY(-7%);
  }
  97% {
    transform: translateY(0%);
  }
  99% {
    transform: translateY(-3%);
  }
  100% {
    transform: translateY(0);
  }
}

.elementor-element.bounce2 a,
a.bounce2,
.d_bounce2 {
  animation: bounce2 2s ease infinite;
}
@keyframes bounce2 {
  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-30px);
  }
  60% {
    transform: translateY(-15px);
  }
}

.elementor-element.shake a,
a.shake,
.d_shake {
  animation: shake 2s ease infinite;
}
@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }
  10%,
  30%,
  50%,
  70%,
  90% {
    transform: translateX(-10px);
  }
  20%,
  40%,
  60%,
  80% {
    transform: translateX(10px);
  }
}

.elementor-element.flip a,
a.flip {
  backface-visibility: visible !important;
  animation: flip 2s ease infinite;
}
@keyframes flip {
  0% {
    transform: perspective(400px) rotateY(0);
    animation-timing-function: ease-out;
  }
  40% {
    transform: perspective(400px) translateZ(150px) rotateY(170deg);
    animation-timing-function: ease-out;
  }
  50% {
    transform: perspective(400px) translateZ(150px) rotateY(190deg) scale(1);
    animation-timing-function: ease-in;
  }
  80% {
    transform: perspective(400px) rotateY(360deg) scale(0.95);
    animation-timing-function: ease-in;
  }
  100% {
    transform: perspective(400px) scale(1);
    animation-timing-function: ease-in;
  }
}

.elementor-element.swing a,
a.swing,
.d_swing {
  transform-origin: top center;
  animation: swing 2s ease infinite;
}
@keyframes swing {
  20% {
    transform: rotate(15deg);
  }
  40% {
    transform: rotate(-10deg);
  }
  60% {
    transform: rotate(5deg);
  }
  80% {
    transform: rotate(-5deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

.elementor-element.wobble a,
a.wobble,
.d_wobble {
  animation: wobble 2s ease infinite;
}
@keyframes wobble {
  0% {
    transform: translateX(0%);
  }
  15% {
    transform: translateX(-25%) rotate(-5deg);
  }
  30% {
    transform: translateX(20%) rotate(3deg);
  }
  45% {
    transform: translateX(-15%) rotate(-3deg);
  }
  60% {
    transform: translateX(10%) rotate(2deg);
  }
  75% {
    transform: translateX(-5%) rotate(-1deg);
  }
  100% {
    transform: translateX(0%);
  }
}

.elementor-element.fade-in-down a,
a.fade-in-down,
.d_fade-in-down {
  animation: fade-in-down 2s ease infinite;
}
@keyframes fade-in-down {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.elementor-element.fade-in-left a,
a.fade-in-left,
.d_fade-in-left {
  animation: fade-in-left 2s ease infinite;
}
@keyframes fade-in-left {
  0% {
    opacity: 0;
    transform: translateX(-20px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.elementor-element.fade-out-down a,
a.fade-out-down,
.d_fade-out-down {
  animation: fade-out-down 2s ease infinite;
}
@keyframes fade-out-down {
  0% {
    opacity: 1;
    transform: translateY(0);
  }
  100% {
    opacity: 0;
    transform: translateY(20px);
  }
}

.elementor-element.fade-out-right a,
a.fade-out-right,
.d_fade-out-right {
  animation: fade-out-right 2s ease infinite;
}
@keyframes fade-out-right {
  0% {
    opacity: 1;
    transform: translateX(0);
  }
  100% {
    opacity: 0;
    transform: translateX(20px);
  }
}

.elementor-element.bounce-in a,
a.bounce-in,
.d_bounce-in {
  animation: bounce-in 2s ease infinite;
}
@keyframes bounce-in {
  0% {
    opacity: 0;
    transform: scale(0.3);
  }
  50% {
    opacity: 1;
    transform: scale(1.05);
  }
  70% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}


.elementor-element.bounce-in-once a,
a.bounce-in-once,
.d_bounce-in-once {
  animation: bounce-in 3.5s ease;
}
@keyframes bounce-in {
  0% {
    opacity: 0;
    transform: scale(0.3);
  }
  50% {
    opacity: 1;
    transform: scale(1.05);
  }
  70% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}


.elementor-element.bounce-in-right a,
a.bounce-in-right,
.d_bounce-in-right {
  animation: bounce-in-right 2s ease infinite;
}
@keyframes bounce-in-right {
  0% {
    opacity: 0;
    transform: translateX(2000px);
  }
  60% {
    opacity: 1;
    transform: translateX(-30px);
  }
  80% {
    transform: translateX(10px);
  }
  100% {
    transform: translateX(0);
  }
}

.elementor-element.bounce-out a,
a.bounce-out,
.d_bounce-out {
  animation: bounce-out 2s ease infinite;
}
@keyframes bounce-out {
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(0.95);
  }
  50% {
    opacity: 1;
    transform: scale(1.1);
  }
  100% {
    opacity: 0;
    transform: scale(0.3);
  }
}

.elementor-element.bounce-out-down a,
a.bounce-out-down,
.d_bounce-out-down {
  animation: bounce-out-down 2s ease infinite;
}
@keyframes bounce-out-down {
  0% {
    transform: translateY(0);
  }
  20% {
    opacity: 1;
    transform: translateY(-20px);
  }
  100% {
    opacity: 0;
    transform: translateY(20px);
  }
}

.elementor-element.rotate-in-down-left a,
a.rotate-in-down-left,
.d_rotate-in-down-left {
  animation: rotate-in-down-left 2s ease infinite;
}
@keyframes rotate-in-down-left {
  0% {
    transform-origin: left bottom;
    transform: rotate(-90deg);
    opacity: 0;
  }
  100% {
    transform-origin: left bottom;
    transform: rotate(0);
    opacity: 1;
  }
}

.elementor-element.rotate-in-up-left a,
a.rotate-in-up-left,
.d_rotate-in-up-left {
  animation: rotate-in-up-left 2s ease infinite;
}
@keyframes rotate-in-up-left {
  0% {
    transform-origin: left bottom;
    transform: rotate(90deg);
    opacity: 0;
  }
  100% {
    transform-origin: left bottom;
    transform: rotate(0);
    opacity: 1;
  }
}






/*checkout button shine*/
/*.wc-proceed-to-checkout, .wfacp-order-place-btn-wrap {
  position: relative;
  overflow: hidden;
}
.wc-proceed-to-checkout:after, .wfacp-order-place-btn-wrap:after {
  animation: shine 5s ease-in-out infinite;
  animation-fill-mode: forwards;
  content: "";
  position: absolute;
  top: -110%;
  left: -210%;
  width: 350%;
  height: 100%;
  opacity: 0;
  transform: rotate(30deg);
  background: rgba(255, 255, 255, 0.13);
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0.199) 0%,
    rgba(255, 255, 255, 0.295) 77%,
    rgba(255, 255, 255, 0.63) 92%,
    rgba(255, 255, 255, 0) 100%
  );
  overflow: hidden;
}


.wc-proceed-to-checkout .wc-proceed-to-checkout:active:after, .wfacp-order-place-btn-wrap:active:after {
  opacity: 0;
}*/

@keyframes shine {
  10% {
    opacity: 1;
    top: -30%;
    left: -30%;
    transition-property: left, top, opacity;
    transition-duration: 1s, 1s, 1s;
    transition-timing-function: ease;
  }
  100% {
    opacity: 0;
    top: -30%;
    left: -30%;
    transition-property: left, top, opacity;
  }
}

.sticky_up {
  animation: stickyUp 0.5s;
  animation-fill-mode: both;
}
@keyframes stickyUp {
  from {
    transform: scale(0.7);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}





/*breathing anim*/
@-webkit-keyframes breathing {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  25% {
    -webkit-transform: scale(1.03);
    transform: scale(1.03);
  }

  60% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes breathing {
  0% {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }

  25% {
    -webkit-transform: scale(1.03);
    -ms-transform: scale(1.03);
    transform: scale(1.03);
  }

  60% {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }

  100% {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }
}

